AnsweredAssumed Answered

SDK version2.0  compilation fails with bitbake error

Question asked by NATARAJAN SUBBIRAMANI on Jul 24, 2018
Latest reply on Jul 24, 2018 by NATARAJAN SUBBIRAMANI

Hi,

 

After preparing the host environment, I triedto build fsl-image-minimal and I got below error.

Though, bblayers.conf and local.conf files are created in build-dir after . ./fsl-setup-env -m ls2080ardb, it fails when bitbake <target> is executed as below,

 

I checked the python version and it is 2.7.3

hmangam:[]:/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/build_ls2080ardb$ python --version
Python 2.7.3

 

 

hmangam:[]:/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/build_ls2080ardb$ bitbake fsl-image-minimal
Traceback (most recent call last):
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/bin/bitbake", line 31, in <module>
import bb
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bb/__init__.py", line 77, in <module>
from bb import fetch2 as fetch
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bb/fetch2/__init__.py", line 1769, in <module>
from . import wget
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bb/fetch2/wget.py", line 40, in <module>
from bs4 import BeautifulSoup
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bs4/__init__.py", line 30, in <module>
from .builder import builder_registry, ParserRejectedMarkup
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bs4/builder/__init__.py", line 4, in <module>
from bs4.element import (
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bs4/element.py", line 5, in <module>
from bs4.dammit import EntitySubstitution
File "/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bs4/dammit.py", line 11, in <module>
from htmlentitydefs import codepoint2name
ImportError: No module named htmlentitydefs
/export/yocto/hmangam/LS2088A_SDK/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/bitbake/lib/bb/event.py:118: RuntimeWarning: Parent module 'bb' not found while handling absolute import
from bb.msg import BBLogFormatter

 

Can anyone please let me know what I am missing here?

 

Thanks,

Natarajan

Outcomes